// pages/search/search.js
var request=require('../../utils/request')
var goFoodDetail=require('../../utils/goFoodDetail')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list:[],
        city:''

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
       
    },
Search:function(e){
    console.log(e.detail);
    var inputValue=e.detail.value;
    var data={
        name:inputValue,
        city:this.data.city
    };
    if(inputValue){
        request('get','/api/foods/select',data,true,res=>{
            console.log(res.data);
            this.setData({
                list:res.data
            })
        },function (err) {
            console.log(err);
        },function() {
            console.log('数据已加载全部');
        })
    }else{
        this.setData({
            list:[]
        })
    }
},
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },
    //进去食物产品详情页面
foodDetail: function (e) {
    goFoodDetail(e)
},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        var cityName=wx.getStorageSync('cityName')||'广州';
        if(cityName){
            this.setData({
                city:cityName
            })
        }
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})