// pages/selectCity/selectCity.js
var request = require('../../utils/request.js');
var app=getApp();

Page({

    /**
     * 页面的初始数据
     */
    data: {
        hotCityArr: [],
        latitude: "",
        longitude: "",
        demo: '23.099994'


    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        request('get', '/api/hot/city', {}, false, (res) => {
            console.log(res);
            this.setData({
                hotCityArr: res.data
            })
            console.log(this.data.hotCityArr);
        }, (error) => {
            console.log(error);
        }, function () {})
    },
    //    点击定位按钮，获取城市//需要在app.json permisson接口中配置权限
    getLocation:function(res){
        wx.getLocation({
       success:  res=>{
                console.log(res.latitude);
                console.log(res.longitude);
              
                this.setData({
                    latitude: res.latitude,
                    longitude:res.longitude
                });
                console.log(this.data.latitude);
                wx.request({
                    url: 'http://iwenwiki.com:3002/api/lbs/location',
                    data: {
                        latitude:  this.data.latitude,
                        longitude: this.data.longitude
                    },
                    success: result => {
                        console.log(result.data.result.address_component.city);
                        // var cityName = result.data.result.address_component.city.slice(0,2);
                        var cityName = '北京';
                        //方法1 通过全局变量保存参数
                        app.globalData.cityName=cityName;
                        console.log(app.globalData.cityName);
                        console.log(app);
                        //本地存储方法
                        wx.setStorageSync('cityName', cityName)
                        wx.switchTab({
                          url: '../food/food',
                        })

                        // ----------------
                        // 方法二
                        // wx.reLaunch({
                        //   url: '../food/food?cityName='+cityName,
                        // })
                    }
                })



            },
            fail: err => {
                console.log(err);
            }
        })
    },
 //点击热门城市 存储到本地 返回屎尿方
 selectCity:function(params) {
     console.log(params);
     var cityName=params.currentTarget.dataset.name;
     app.globalData.cityName=cityName;
     wx.setStorageSync('cityName', cityName);
     wx.switchTab({
       url: '../food/food',
     })
   
 },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})