// pages/foodDetail/foodDetail.js
var request=require('../../utils/request.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
     foodInfo:{},
     list:[
         {id:1,
        }
     ]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        console.log(options);
        
       request('get','/api/foods/list/detail',{id:options.ID},true,res=>{
           console.log(res.data);
           this.setData({
               foodInfo:res.data[0]
           })
           console.log(this.data.foodInfo);
       }),function(err) {
           console.log(err);    
       },function(){
           console.log('数据加载完毕');
       }
        
    },
    //加入购物车
    addShop:function () {
        var foodInfo=this.data.foodInfo;
        if(foodInfo.type=0){
            foodInfo.type=1
        }
          console.log('添加到购物车');
          wx.request({
            url: 'http://iwenwiki.com:3002/api/cart/add',
            data:{
                name:foodInfo.name,
                pic:foodInfo.pic,
                num:1,
                info:foodInfo.description,
                price:foodInfo.price
            },
            success:res=>{
                wx.showLoading({
                  title: '加载中',
                });
                console.log(res);
                if(res.data.status==200){
                wx.showToast({
                  title: '加入购物车成功',
                  icon:'none'
                })
                }

            },
            complete:result=>{
                wx.hideLoading();
            }
          })
        
    },
    //跳转到购物车
    goShop:function() {
        wx.switchTab({
          url: '../myCart/myCart',
        })
        
    }
    ,

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})