/**
 * 网络请求方法
 * 参数1 method 请求方法 
 * 参数2 url （string）请求地址
 * 参数3 parmas(json) 请求携带的参数
 * 参数4 loading 是否需要信息弹框 不需要false  需要true
 * 参数5 success  成功函数
 * 参数6 fail
 * 参数7 noData  数据已经加载完了
 *  */ 
function request(method,url,parmas,loading,succes,fail,noData){
    //是否需要弹框
    if(loading==true){
        wx.showLoading({
          title: '加载中',
        })
    }
  wx.request({
    url: 'http://iwenwiki.com:3002'+url,
    method:method,
    data:parmas,
    success:res=>{
     if(res.data.status==200){
        succes(res.data)
     }else{
      noData();
     }
    },
    fail:res=>{
           fail(res.data)
    },
    complete:res=>{
    if(loading==true){
        wx.hideLoading()
    }
    }
  })
}
module.exports=request
